Subject: Link is breaking for setbuffer()
From: farshad mahjoubi <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 15 Jul 1999 09:43:19 -0400

>HI
>
>I am trying to port  our Application to WinNT. My link is breaking with
>this ERROR that complaines about function setbuffer().
>
>Setbuffer() is being called from a C Source code and I see that it is
>been declared in stdio.h 
>
>Does anyone know which library in /cygnus/cygwin contains the setbbuffer()
>
>why the standard libraries I am linking (which
>_should_ contain the setbuffer function) don't do so... ?
>
>Libcommada.a is the actaull library which is calling the setbuffer()
>and we are trying to link all the *.a libraries and  build our bcc.exe .
>
>Any Help would be appreciated.
>
>Thanks Farshad...
>
>----------------------------------------------------------------- 
>
>File d:\cygnus\cygwin~1\h-i586~1\i586-c~1\include\stdio.h:
>193        void    _EXFUN(setbuffer, (FILE *, char *, int));
>File d:\cygnus\cygwin~1\include\g__~1\iostdio.h:
>88         #define setbuffer _IO_setbuffer
>------------------------------------------------------------------
>
>gcc  -o ../../_CYGWIN_NT-4.1-x86-ROUTER/bcc
>../../_CYGWIN_NT-4.1-x86-ROUTER/bccMain.o
>../../_CYGWIN_NT-4.1-x86-ROUTER/osHost.o -L../../_CYGWIN_NT-4.1-x86-ROUTER
>-lcommands -lnewshow -lsystem -lwfndm -lsystem -lshow -lmql -lmib -lmibdb
>-ltype -lcompat -ltcllite -lutil -lscripts
>/cygnus/cygwin-b20/h-i586-cygwin32/lib/libreadline.a 
>../../CYGWIN_NT-4.1.../libcommands.a(mibCmds.o) in function mdump_cmds
>//d/farbcc/tree/bcc/commands/mibCmds.c: 572: undefined reference to
>'setbuffer'
>collect2 ld returned i exit status.
>
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]